// Copyright (c) 2018 GeometryFactory (France). All rights reserved.
//
// This file is part of CGAL (www.cgal.org)
//
// $URL: https://github.com/CGAL/cgal/blob/v5.3/Installation/include/CGAL/disable_warnings.h $
// $Id: disable_warnings.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
// SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
//
// Author: Andreas Fabri

#include <boost/config.hpp>

#if defined(BOOST_MSVC)
#  pragma warning(push)
#  pragma warning(disable: 4099) // struct class mixed
#  pragma warning(disable: 4127) // conditional expression is constant
#  pragma warning(disable: 4180)  // qualifier applied to function type has no meaning; ignored
#  pragma warning(disable: 4355) // 'this' : used in base member initializer list
#  pragma warning(disable: 4396) //  the inline specifier cannot be used when a friend declaration refers to a specialization of a function template
#  pragma warning(disable: 4510) // default constructor could not be generated
#  pragma warning(disable: 4512) //  assignment operator could not be generated
#  pragma warning(disable: 4522) // multiple assignment operators specified
#  pragma warning(disable: 4610) // can never be instantiated - user defined constructor required
#  pragma warning(disable: 4706) // assignment within conditional expression
#  pragma warning(disable: 4714) // function marked as __forceinline not inlined
#  pragma warning(disable: 4800) //  forcing value to bool 'true' or 'false' (performance warning)
#  pragma warning(disable: 4913) // user defined binary operator ',' exists but no overload could convert all operands, default built-in binary operator ',' used
#  pragma warning(disable: 4834) // discarding return value of function with 'nodiscard' attribute


#endif
